Class Http1Config.BuilderBase.Http1ConfigImpl
java.lang.Object
io.helidon.http.HttpConfig.BuilderBase.HttpConfigImpl
io.helidon.webserver.http1.Http1Config.BuilderBase.Http1ConfigImpl
- All Implemented Interfaces:
Prototype.Api, NamedService, HttpConfig, Http1Config, ProtocolConfig
- Enclosing class:
Http1Config.BuilderBase<BUILDER extends Http1Config.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends Http1Config>
protected static class Http1Config.BuilderBase.Http1ConfigImpl
extends HttpConfig.BuilderBase.HttpConfigImpl
implements Http1Config
Generated implementation of the prototype, can be extended by descendant prototype implementations.
-
Nested Class Summary
Nested classes/interfaces inherited from interface Http1Config
Http1Config.Builder, Http1Config.BuilderBase<BUILDER, PROTOTYPE>Modifier and TypeInterfaceDescriptionstatic classFluent API builder forHttp1Config.static classHttp1Config.BuilderBase<BUILDER extends Http1Config.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends Http1Config>Fluent API builder base forHttp1Config.Nested classes/interfaces inherited from interface HttpConfig
HttpConfig.Builder, HttpConfig.BuilderBase<BUILDER, PROTOTYPE>Modifier and TypeInterfaceDescriptionstatic classFluent API builder forHttpConfig.static classHttpConfig.BuilderBase<BUILDER extends HttpConfig.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends HttpConfig>Fluent API builder base forHttpConfig. -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedHttp1ConfigImpl(Http1Config.BuilderBase<?, ?> builder) Create an instance providing a builder. -
Method Summary
Modifier and TypeMethodDescriptionaltSvc()ExplicitAlt-Svcadvertisement.A single receive listener, this value is computed.A single send listener, this value is computed.booleanWhen true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.booleaninthashCode()intConfigure the maximum allowed headers size, which must be greater than0.intMaximal size of received HTTP prologue (GET /path HTTP/1.1).name()Name of this configuration, in most cases the same asHttp1Config.type().Connection receive event listeners for HTTP/1.1.booleanDeprecated, for removal: This API element is subject to removal in a future version.Requested URI discovery settings.Connection send event listeners for HTTP/1.1.booleansendLog()Deprecated, for removal: This API element is subject to removal in a future version.toString()booleanWhether to validate path characters and HTTP/1.1 request-target forms.booleanDisables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified.Methods inherited from class HttpConfig.BuilderBase.HttpConfigImpl
log, maxBufferedEntitySize, validateRequestHeaders, validateResponseHeadersModifier and TypeMethodDescriptionlog()HTTP Log configuration.Configure the maximum size allowed for an entity that can be explicitly buffered by the application by callingio.helidon.http.media.ReadableEntity.buffer().booleanWhether to validate request headers.booleanWhether to validate response headers.Methods inherited from interface Http1Config
typeMethods inherited from interface ProtocolConfig
enabled, transportBindingTypesModifier and TypeMethodDescriptiondefault booleanenabled()Whether this protocol configuration is enabled.Transport binding provider keys compatible with this protocol.
-
Constructor Details
-
Http1ConfigImpl
Create an instance providing a builder.- Parameters:
builder- extending builder base of this prototype
-
-
Method Details
-
name
Description copied from interface:Http1ConfigName of this configuration, in most cases the same asHttp1Config.type().- Specified by:
namein interfaceHttp1Config- Specified by:
namein interfaceNamedService- Returns:
- name of this configuration
-
maxPrologueLength
public int maxPrologueLength()Description copied from interface:Http1ConfigMaximal size of received HTTP prologue (GET /path HTTP/1.1).- Specified by:
maxPrologueLengthin interfaceHttp1Config- Returns:
- maximal size in bytes
-
maxHeadersSize
public int maxHeadersSize()Description copied from interface:HttpConfigConfigure the maximum allowed headers size, which must be greater than0. Defaults to16384.- Specified by:
maxHeadersSizein interfaceHttp1Config- Specified by:
maxHeadersSizein interfaceHttpConfig- Overrides:
maxHeadersSizein classHttpConfig.BuilderBase.HttpConfigImpl- Returns:
- maximum headers size
-
validatePrologue
public boolean validatePrologue()Description copied from interface:Http1ConfigDisables query and fragment syntax validation when set tofalse; intended only for closed systems receiving trusted, valid request targets, as behavior for invalid input is unspecified. Validation of path is controlled byHttp1Config.validatePath().- Specified by:
validateProloguein interfaceHttp1Config- Returns:
- whether to validate prologue query and fragment
-
validatePath
public boolean validatePath()Description copied from interface:Http1ConfigWhether to validate path characters and HTTP/1.1 request-target forms.- Specified by:
validatePathin interfaceHttp1Config- Returns:
- whether to validate path
-
continueImmediately
public boolean continueImmediately()Description copied from interface:Http1ConfigWhen true WebServer answers to expect continue with 100 continue immediately, not waiting for user to actually request the data.- Specified by:
continueImmediatelyin interfaceHttp1Config- Returns:
- if
trueanswer with 100 continue immediately after expect continue
-
requestedUriDiscovery
Description copied from interface:Http1ConfigRequested URI discovery settings.- Specified by:
requestedUriDiscoveryin interfaceHttp1Config- Returns:
- settings for computing the requested URI
-
sendListeners
Description copied from interface:Http1ConfigConnection send event listeners for HTTP/1.1.- Specified by:
sendListenersin interfaceHttp1Config- Returns:
- send event listeners
-
receiveListeners
Description copied from interface:Http1ConfigConnection receive event listeners for HTTP/1.1.- Specified by:
receiveListenersin interfaceHttp1Config- Returns:
- receive event listeners
-
altSvc
Description copied from interface:Http1ConfigExplicitAlt-Svcadvertisement.- Specified by:
altSvcin interfaceHttp1Config- Returns:
- alternative service advertisement
-
compositeSendListener
Description copied from interface:Http1ConfigA single send listener, this value is computed.- Specified by:
compositeSendListenerin interfaceHttp1Config- Returns:
- send listener
-
compositeReceiveListener
Description copied from interface:Http1ConfigA single receive listener, this value is computed.- Specified by:
compositeReceiveListenerin interfaceHttp1Config- Returns:
- receive listener
-
receiveLog
Deprecated, for removal: This API element is subject to removal in a future version.Description copied from interface:Http1ConfigLogging of received packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.recv`.- Specified by:
receiveLogin interfaceHttp1Config- Returns:
trueif logging should be enabled for received packets,falseif no logging should be done
-
sendLog
Deprecated, for removal: This API element is subject to removal in a future version.Description copied from interface:Http1ConfigLogging of sent packets. Uses trace and debug levels on logger ofHttp1LoggingConnectionListenerwith suffix of.send`.- Specified by:
sendLogin interfaceHttp1Config- Returns:
trueif logging should be enabled for sent packets,falseif no logging should be done
-
toString
- Overrides:
toStringin classHttpConfig.BuilderBase.HttpConfigImpl
-
equals
- Overrides:
equalsin classHttpConfig.BuilderBase.HttpConfigImpl
-
hashCode
public int hashCode()- Overrides:
hashCodein classHttpConfig.BuilderBase.HttpConfigImpl
-